dpkg-split(1)

NAZWA
dpkg-split - narzędzie dzielenia/łączenia pakietów Debiana

SKŁADNIA
dpkg-split [opcja...] polecenie

OPIS
dpkg-split dzieli pakiety binarne Debiana na mniejsze części oraz scala je z powrotem, tak że możliwe jest przechowanie większych pakietów na małych nośnikach, takich jak dyskietki.

Program wywołuje się ręcznie, wraz z opcją --split, --join lub --info.

Możliwe jest także wywołanie automatyczne, przez użycie opcji --auto. Wtedy to tworzona jest kolejka części pakietu, a gdy wszystkie części będą dostępne, cały pakiet zostanie odtworzony. Opcje --listq i --discard pozwalają na zarządzanie kolejką.

Wszystkie działania, takie jak rozdzielanie, łączenie, czy kolejkowanie, powodują wyświetlenie informacji na standardowe wyjście. Informacje te można zignorować.

POLECENIA

-s, --split kompletne-archiwum [przedrostek]
    Rozdzielenie pojedynczego pakietu binarnego na poszczególne części.

    Części mają nazwę przyrostek.NofM.deb gdzie N jest numerem części, rozpoczynając od 1, a M jest liczbą wszystkich części (dziesiętnie).

    Jeśli nie podano przedrostka, to użyta jest nazwa pliku pełnego-archiwum, wraz z katalogiem, gdy jest określony. Ponadto usunięta jest końcówka .deb.

-j, --join part...
    Łączenie części pakietu i odtworzenie oryginalnego pliku sprzed dzielenia.

    Pliki podane jako argumenty muszą być częściami tego samego oryginalnego pakietu. Każda część musi pojawić się raz na liście argumentów, ale nie jest konieczne zachowanie właściwej kolejności.

    Części muszą być wygenerowane z użyciem tego samego rozmiaru, co oznacza, że muszą to być te same części utworzone za pomocą polecenia dpkg-split --split.

    Nazwy plików części nie mają znaczenia dla procesu odtworzenia pakietu.

    Domyślnie, plik wynikowy ma nazwę pakiet_wersja_architektura.deb.

-I, --info part...
    Wyświetlanie informacji, podanych w formacie czytelnym dla człowieka, o częściach pakietu. Argumenty, które nie są częścią pakietu, powodują wyświetlenie informacji o tym fakcie na standardowym wyjściu.

-a, --auto -o complete-output part
    Automatyczne kolejkowanie części i odtworzenie pakietu, gdy to jest możliwe.

    Podana część zostaje sprawdzona i porównana z innymi częściami tego samego pakietu, które znajdują się w kolejce.

    Jeśli wszystkie części pakietu są już dostępne, pakiet jest odtwarzany i zapisywany do pełnego-archiwum.

    Jeśli jeszcze nie ma wszystkich części, podana część jest kopiowana do kolejki i pełne-archiwum nie jest odtwarzane.

    Jeśli plik część nie jest częścią pakietu binarnego, dpkg-split zakończy się i zwróci kod błędu 1, albo kod błędu 2 w przypadku wystąpienia innych problemów.

    Opcja --output lub -o musi zostać podana w przypadku użycia --auto. (W przeciwnym razie program nie wiedziałby, jakiego spodziewać się pliku wyjściowego.)

-l, --listq
    Listowanie zawartości kolejki części pakietu do odtworzenia.

    Dla każdego pliku części pakietu wyświetlana jest nazwa pakietu, część w kolejce, całkowita liczba bajtów przechowywanych w kolejce.

-d, --discard [pakiet...]
    Usuwa części pakietu z kolejki.

    Jeśli nie podano nazwy pakietu, czyszczona jest cała kolejka. Gdy nazwa jest podana, usuwane są tylko części podanego pakietu.

-?, --help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

OPCJE

--depotdir katalog
    Specifies an alternative directory for the queue of parts awaiting automatic reassembly. The default is /var/lib/dpkg/parts.

--admindir katalog
    Set the administrative directory to directory (since dpkg 1.21.10). This is where the statoverride file is stored. Defaults to «/var/lib/dpkg» if DPKG_ADMINDIR has not been set.

--root directory
    Set the root directory to directory (since dpkg 1.21.10), which sets the installation directory to «directory» and the administrative directory to «directory/var/lib/dpkg» if DPKG_ROOT has not been set.

-S, --partsize kibibajty
    Określenie maksymalnego rozmiaru części pakietu w kibibajtach (KiB, 1024 bajtów). Wartością domyślną jest 450 KiB.

-o, --output pełne-archiwum
    Określenie nazwy pliku pełnego archiwum.

    Ta opcja nadpisuje domyślną nazwę przy odtwarzaniu pakietu (--join) oraz jest wymagana przy automatycznym odtwarzaniu pakietu (--auto).

-Q, --npquiet
    Gdy wykonywane jest automatyczne łączenie części pakietu, dpkg-split zwykle wyświetla informacje o błędzie, gdy dany plik części nie jest częścią pakietu. Ta opcja zapobiega wyświetlaniu nadmiernej ilości informacji przez programy takie jak dpkg.

--msdos
    Forces the output filenames generated by --split to be MSDOS-compatible.

    Zmieniany jest przedrostek, zarówno ten domyślny jak i ten podany w argumencie: litery są zamieniane na małe, znak plusa zamieniany jest na x, a pozostałe znaki są pomijane.

    Powstały przedrostek jest ucinany do niezbędnego rozmiaru. Powstała nazwa ma postać przedrostekNofM.deb..

KOD WYJŚCIA

0   Żądana operacja dzielenia, łączenia czy jakakolwiek inna, zakończyła się sukcesem. Polecenie --info kończy się sukcesem nawet gdy podany plik nie jest częścią pakietu.

1   Występuje tylko, jeśli użyto --auto i oznacza, że plik części nie był częścią pakietu binarnego.

2   Fatal or unrecoverable error due to invalid command-line usage, a file that looked like a package part file but was corrupted, or interactions with the system, such as accesses to the database, memory allocations, etc.

ŚRODOWISKO

DPKG_ROOT
    If set and --root option has not been specified, it will be used as the filesystem root directory (since dpkg 1.21.10).

DPKG_ADMINDIR
    If set and the --admindir or --root options have not been specified, it will be used as the dpkg data directory (since dpkg 1.21.10).

DPKG_DEBUG
    Sets the debug mask (since dpkg 1.21.10) from an octal value. The currently accepted flags are described in the dpkg --debug option, but not all these flags might have an effect on this program.

DPKG_COLORS
    Sets the color mode (since dpkg 1.18.5). The currently accepted values are: auto (default), always and never.

SOURCE_DATE_EPOCH
    If set, it will be used as the timestamp (as seconds since the epoch) in the deb-split(5)'s ar(5) container.

PLIKI

/var/lib/dpkg/parts
    Domyślny katalog kolejki części pakietów czekających na automatyczne odtworzenie.

    Nazwy plików w tym katalogu są wewnętrznie utworzone przez dpkg-split i nie są użyteczne dla innych programów.

BŁĘDY
Pobranie pełnej informacji o pakietach w kolejce jest niemożliwe, bez przeszukania katalogu kolejki.

Nie ma prostego testu na sprawdzenie, czy dany plik jest na pewno częścią pakietu.

ZOBACZ TAKŻE
deb(5), deb-control(5), dpkg-deb(1), dpkg(1).

TŁUMACZE

Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008
Michał Kułach <michal.kulach@gmail.com>, 2012